# Enum ARTrackingMode

java.lang.Object
java.lang.Enum<ARTrackingMode>
com.codename1.ar.ARTrackingMode

All Implemented Interfaces:
  `Comparable<ARTrackingMode>`

public enum ARTrackingMode extends Enum<ARTrackingMode>
The tracking configuration of an `ARSession`. World and face tracking are distinct session configurations on both ARKit and ARCore, so a session runs in exactly one mode; close the session and open a new one to switch.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FACE`
  Track faces using the front camera.
  `WORLD`
  Track the device pose in the world using the rear camera.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ARTrackingMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ARTrackingMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WORLD

    public static final ARTrackingMode WORLD
    Track the device pose in the world using the rear camera. Enables plane detection, hit testing, world anchors and image tracking.

  - ### FACE

    public static final ARTrackingMode FACE
    Track faces using the front camera. Detected faces are delivered as `ARFaceAnchor`s; plane detection and hit testing are unavailable.

- ## Method Details

  - ### values

    public static ARTrackingMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ARTrackingMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null